Bug 1699353 - Cannot create featuregate.config.openshift.io
Summary: Cannot create featuregate.config.openshift.io
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.1.0
Assignee: Ryan Phillips
QA Contact: Weinan Liu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-12 13:53 UTC by David Eads
Modified: 2019-06-04 10:47 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:47:31 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:47:40 UTC

Description David Eads 2019-04-12 13:53:57 UTC
We want to create stubs for all *.config.openshift.io resources so that modifications by the user can consistently be `oc edit blah.config.openshift.io`.  Every resource can and has done this except FeatureGate which appears to be stuck on a rendering/MCO-in-cluster mismatch.

Given the area, the most likely culprit is kubelet featuregates.  The fact that there is a mismatch suggests that not all kubelets are running with the same featuregates.

https://github.com/openshift/cluster-config-operator/pull/39 demonstrates the issue

Comment 3 Weinan Liu 2019-04-22 11:14:15 UTC
(In reply to David Eads from comment #0)
> We want to create stubs for all *.config.openshift.io resources so that
> modifications by the user can consistently be `oc edit
> blah.config.openshift.io`.  Every resource can and has done this except
> FeatureGate which appears to be stuck on a rendering/MCO-in-cluster mismatch.
> 
> Given the area, the most likely culprit is kubelet featuregates.  The fact
> that there is a mismatch suggests that not all kubelets are running with the
> same featuregates.
> 
> https://github.com/openshift/cluster-config-operator/pull/39 demonstrates
> the issue

Hi David,
https://github.com/openshift/cluster-config-operator/pull/39 seems to be an empty one, are you sure it's the corrent link to demonstrate the issue?

Could you help to provide more info to get the fix verified?

Thanks!

Comment 4 David Eads 2019-04-22 11:26:51 UTC
Yeah, it's empty and still won't test green.  It suggests that his this problem is not yet solved.

@rphillips, that pull needs to go green and merge.

Comment 5 Ryan Phillips 2019-04-22 17:16:28 UTC
I believe we need this PR [1] to make sure there is not a featuregate change during cluster install.

1. https://github.com/openshift/cluster-config-operator/pull/39

Comment 9 errata-xmlrpc 2019-06-04 10:47:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.